Bug 1265797 - [RFE] Multi-site v2 for active-active read/write
Summary: [RFE] Multi-site v2 for active-active read/write
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Yehuda Sadeh
QA Contact: shilpa
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504
TreeView+ depends on / blocked
 
Reported: 2015-09-23 19:03 UTC by Neil Levine
Modified: 2017-07-30 15:39 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.New multi-site configurations for the Ceph Object Gateway The Red Hat Ceph Storage now supports an active-active zone configuration of Ceph Object Gateways. Previously, only active-passive configuration was supported, meaning the users could write only to one (master) zone. With this update, users can write also to non-master zones. In addition, this update introduces the following changes: * A region is now called `zone-group`. * Support for configuring realms has been added. A realm is a single zone group or multiple zone groups with a globally unique namespace. * A configuration period has been added. The period is a representation of the multi-site configuration at a point in time. The current period contains an epoch that advances as changes are made to the configuration. A new period is generated when the location of the multi-site master zone changes. * The `ceph-radosgw` daemon handles the synchronization, eliminating the need for a separate synchronization agent. For details see the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-red-hat-enterprise-linux/#multi_site[Multi-site] chapter in the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-red-hat-enterprise-linux[Object Gateway Guide for Red Hat Enterprise Linux] and the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-ubuntu/#multi_site[Multi-site] chapter in the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-ubuntu[Object Gateway Guide for Ubuntu].
Clone Of:
Environment:
Last Closed: 2016-08-23 19:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1309113 0 unspecified CLOSED [RFE] Multi-Site v2 for Disaster Recovery 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2016:1755 0 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Internal Links: 1309113

Description Neil Levine 2015-09-23 19:03:54 UTC
V2 of the RGW multi-site implementation which will allow for multiple sites federated in an active/active configuration, allowing customers to read/write data to any endpoint, independent of where the original object was created.

Comment 3 Neil Levine 2016-02-16 22:18:47 UTC
As an admin, I create two clusters in two separate locations and ensure that all RGW content is synced between the site.
As an admin, I configure my load balancer to ensure read/write affinity to the nearest RGW instance.

Comment 14 shilpa 2016-08-02 06:35:00 UTC
Ref doc: http://10.34.3.139:8080/view/Ceph/job/doc-Red_Hat_Ceph_Storage_2-Object_Gateway%20-%20RHEL%20%28html-single%29/lastSuccessfulBuild/artifact/RHEL/index.html#_configuring_a_master_zone

In the section "Create a Master Zone", the zone should be configured with an endpoint:

#radosgw-admin zone create --rgw-zonegroup={zone-group-name} --rgw-zone={zone-name} --master --default

Should be changed to:

#radosgw-admin zone create --rgw-zonegroup={zone-group-name}  --endpoints=http://rgw1:80 --rgw-zone={zone-name} --master --default

Comment 17 shilpa 2016-08-12 06:12:48 UTC
Documentation is being tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1321892. 
Feature testing is complete.

Comment 19 errata-xmlrpc 2016-08-23 19:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.